# $Revision: 1.3 $, $Date: 2004/10/06 11:20:41 $
Summary:	RegExplorer is a visual regular expression explorer
Summary(pl):	Graficzna przegldarka wyrae regularnych
Name:		regexplorer
Version:	0.1.6
Release:	2
License:	QPL
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# Source0-md5:	c617505a925c2a2fe5d5bc8cb0f70cb3
Patch0:		%{name}-debian.patch
Group:		Applications/Text
URL:		http://regexplorer.sourceforge.net/
BuildRequires:	qt-devel
BuildRequires:	tmake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RegExplorer is a visual regular expression explorer, it allows for
writing regular expressions and visually see the matches, thus making
regular expression much easier to write and maintain.

%description -l pl
RegExplorer jest graficzn przegldark wyrae regularnych,
pozwalajca za zapisywanie wyrae i graficzny podgld pasujcych,
przez co wyraenia regularne s atwiejsze do zapisywania i
zarzdzania.

%prep
%setup -q
%patch0 -p1

%build
tmake regexplorer.pro -o Makefile
%{__make} \
	CXXFLAGS="%{rpmcflags} -pipe -Wall -W -DNO_DEBUG" \
	LIBS="%{rpmldflags} -L%{_prefix}/X11R6/%{_lib} -lqt-mt -lXext -lX11 -lm" \
	CXX="%{__cxx}"

%install
rm -rf $RPM_BUILD_ROOT
install -D %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -D debian/%{name}.1x $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: regexplorer.spec,v $
Revision 1.3  2004/10/06 11:20:41  domelu
- md5

Revision 1.2  2004/10/06 11:15:49  undefine
- rel 2 for ac

Revision 1.1  2004/10/06 11:03:50  undefine
- initital pld version

